<div class="row d-flex mt-5 mb-3">
  <div class="col-lg-6">
    <div class="card1 pb-5">
      <div class="row justify-content-center mt-2 mb-2 border-line"><img
        src="https://www.jobs-nn.com/wp-content/uploads/2020/05/recruitment.jpg"
        class="image"></div>
    </div>
  </div>
  <div class="col-lg-6">
    <form class="form" [formGroup]="logForm" (ngSubmit)="loginUser(logForm.value)">
      <div class="card2 card border-0 px-4">
        <!--      <div class="row px-3 mb-4">-->
        <!--        <div class="line"></div>-->
        <!--        <small class="or text-center">Login to Resourcing</small>-->
        <!--        <div class="line"></div>-->
        <!--      </div>-->
        <div class="row"><img src="assets/images/logo.png" class="logo"></div>
        <div class="alert alert-danger" *ngIf="errorMessage">
          {{errorMessage}}
        </div>
        <div class="row px-3 mb-2">
          <label class="mb-1">
            <h6 class="mb-0 text-sm">Email Address</h6>
          </label>
          <input class="" type="text" name="email" formControlName="email"
                 placeholder="Enter a valid email address">
          <div class="validation-errors">
            <ng-container *ngFor="let validation of validationMessages.email">
              <div class="error-message"
                   *ngIf="logForm.get('email').hasError(validation.type) && (logForm.get('email').dirty || logForm.get('email').touched)">
                {{ validation.message }}
              </div>
            </ng-container>
          </div>
        </div>
        <div class="row px-3 mb-2"><label class="mb-1">
          <h6 class="mb-0 text-sm">Password</h6>
        </label> <input type="password" name="password" formControlName="password" placeholder="Enter password">
          <div class="validation-errors">
            <ng-container *ngFor="let validation of validationMessages.password">
              <div class="error-message"
                   *ngIf="logForm.get('password').hasError(validation.type) && (logForm.get('password').dirty || logForm.get('password').touched)">
                {{ validation.message }}
              </div>
            </ng-container>
          </div>
        </div>
        <div class="row px-3 mb-4 text-right">
          <a class="ml-auto mb-0 text-sm" data-bs-toggle="modal" data-bs-target="#resetModal">Forgot Password?</a>
        </div>
        <div class="row mb-3 px-3 justify-content-center">
          <button type="submit" class="btn btn-blue text-center"
                  [disabled]="!logForm.valid">Login
          </button>
        </div>
      </div>
    </form>
  </div>
</div>


<!-- Modal -->
<div class="modal fade" id="resetModal" tabindex="-1" aria-labelledby="resetModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header bg-theme">
        <h5 class="modal-title" id="exampleModalLabel">Forgot Password</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="alert alert-danger" *ngIf="errorMessage">
          {{errorMessage}}
        </div>
        
        <input class="" type="text" name="email" [(ngModel)]="email"
               placeholder="Enter a valid email address to send reset link">
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary" (click)="resetPassword(email)">Reset</button>
      </div>
    </div>
  </div>
</div>
